<?php
namespace Teknisa\GOP\Services;

 use Zeedhi\Framework\DataSource\DataSet;
 use Zeedhi\Framework\DTO;
 
 class Gop10001SimulacaoValoresService {
    protected $connection;
    
    public function __construct($connection, $environment){
        $this->connection = $connection;
        $this->environment = $environment;
    }
     
    public function verifyParamVrFaturamento($row) {
        $select = "SELECT F.*, (SELECT
                        CASE NVL(MAX(IDCALCPERCENTFAT), 'FATURAMENTOLIQUIDO')
                            WHEN 'FATURAMENTO_BRUTO' THEN
                                'FATURAMENTO'
                            ELSE
                                'FATURAMENTOLIQUIDO'
                        END IDCALCPERCENTFAT
                    FROM
                        PARFILIALROP P
                    WHERE
                        P.CDFILIAL = TIPOPARAM_DRO(CDFILIAL)) VRFATURAMENTO FROM FILIAL F";
        
        $params = array (
            "P_CDFILIAL" => $row["CDFILIAL"]
        );
        
        try{
            $std = $this->connection->prepare($select);
            $std->execute($params);
            $result = $std->fetchAll();
            return $result[0]['IDCALCPERCENTFAT'];
        }catch (Exception $e){
            throw $e;
        }  
    } 
 } 